#include   <Wire.h>
#define S5851address 0x48
#define TemperatureR 0x00
 
void setup() {
    Wire.begin();
    Serial.begin(9600);
}
 
int read_tempdata() {
    Wire.beginTransmission(S5851address); 
         Wire.write((byte)TemperatureR);
    Wire.endTransmission();
    Wire.requestFrom(S5851address, 2);
    //wait for response
    while(Wire.available() == 0);
    int T = Wire.read(); 
    T = ( T << 8 | Wire.read() ) >> 4  ; 
    return  ( -(T & 0b100000000000) | (T & 0b011111111111) );
}
 
void loop() {
    float Temp = read_tempdata() * 0.0625 ;
    Serial.print("Temperature:  ");
    Serial.print(Temp,2);
    Serial.println(" Celsius");
    delay(1000);
}
